Package Details: python2-protobuf 3.11.4-1

Git Clone URL: https://aur.archlinux.org/python2-protobuf.git (read-only, click to copy)
Package Base: python2-protobuf
Description: Python 2 bindings for Google Protocol Buffers
Upstream URL: https://developers.google.com/protocol-buffers/
Licenses: BSD
Submitter: sl1pkn07
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 1
Popularity: 0.43
First Submitted: 2019-12-18 05:42
Last Updated: 2020-02-19 19:29

Latest Comments

slav commented on 2020-02-19 21:49

I found temporary solution to install python2-protobuf 3.11.4-1

you can installl protobuf from arch official repository pacman -S protobuf

then download python2-protobuf.tar.gz

and modify PKGBUILD 22 line: from "protobuf=${pkgver}" to 'protobuf'

this let you to build and install python2-protobuf-3.11.4-1-x86_64.pkg.tar.xz

slav commented on 2020-02-19 21:30

Hi,

The same here...

==> Building and installing package ==> Install or build missing dependencies for python2-protobuf: error: target not found: protobuf=3.11.4

email_protected commented on 2020-01-20 19:03

Hi, i got the same error (running ArtixLinux (Arch without systemd) & having python2 and pyhton3 installed).

I tried:

$ sudo pacman -Rdd python2-protobuf

$ sudo pacman -Syu

but installing phython2-protobuf with:

$ sudo pacman -S python2-protobuf

gave me the error that the package python2-protobuf couldn't be installed because of missing dependencie from "protobuf=3.11.1"

[error in german:

% sudo pacman -S python2-protobuf

Löse Abhängigkeiten auf...

Warnung: Kann "protobuf=3.11.1" nicht auflösen (eine Abhängigkeit von "python2-protobuf")

:: Das folgende Paket kann aufgrund nicht auflösbarer Abhängigkeiten nicht aktualisiert werden:

python2-protobuf

]

sicariusnoctis commented on 2020-01-19 04:05

For anyone else having problems running system-wide updates:

yay -Rdd python2-protobuf
yay -Syu
yay -S python2-protobuf

sl1pkn07 commented on 2020-01-16 19:11

sorry, i don't know how work manjaro. sorry

Dawa commented on 2020-01-16 18:57

Something about this update is definitely off. Using Manjaro, and the presence of this update was keeping pamac from running any updates whatsoever. The update process would just stop, but no errors were given. Was updating AUR packages manually by command line and figured out this package was the culprit. After removing updating could continue normally. I tried reinstalling this package after removing it, but I'm getting the same "full stop with no errors" reaction from pamac.

sl1pkn07 commented on 2020-01-16 09:49

Seems a pacman/aur helper flaw

Try uninstall python2-protobuf. Update the system like normal (pacman -Syu), and then install python2-protobuf again

yenlegion commented on 2020-01-16 03:47

Getting the same, while building chromium-dev.

mithaler commented on 2020-01-15 15:17

Dependency breakage today with protobuf, getting this error on an update:

error: failed to prepare transaction (could not satisfy dependencies) :: installing protobuf (3.11.2-1) breaks dependency 'protobuf=3.11.1' required by python2-protobuf

Can this dependency be protobuf>=3.11,<3.12 or something?